Bug 179330

Summary: Web Inspector: Canvas Tab initial user interface needs some polish
Product: WebKit Reporter: Brian Burg <bburg>
Component: Web InspectorAssignee: Matt Baker <mattbaker>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, drousso, inspector-bugzilla-changes, joepeck, mattbaker, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 175485    
Attachments:
Description Flags
[Image] New UI - Resource folder title
none
[Image] New UI - Canvas Overview initial message
none
[Image] New UI - Empty database table
none
[Image] Safari message text page
none
Patch
none
Patch
none
Patch for landing none

Description Brian Burg 2017-11-06 10:30:42 PST
Grab bag of complaints:

- The "No canvas contexts found" text is vertically misaligned with the similar text in the sidebars.
- The "No canvas context found" text is very thin, and doesn't match the sidebar font weights. I prefer the heavier sidebar weights myself.
- Empty scroll bar track appears when using "Show scroll bars automatically" in macOS System Preferences. It shouldn't be there. I think we have this issue in some other places but this is especially egregious and ugly. For example, Network Tab doesn't have this problem even though it has a scroll container.
Comment 1 Radar WebKit Bug Importer 2017-11-06 10:31:07 PST
<rdar://problem/35367581>
Comment 2 Matt Baker 2017-12-03 18:50:21 PST
This patch will do two things:

1) Add friendlier messages to the empty Canvas Overview screen
2) Consolidate all "message views" throughout the UI to go through WI.createMessageTextView. This will guarantee consistent appearance and reduce code duplication.

Screenshots to follow.
Comment 3 Matt Baker 2017-12-03 18:51:06 PST
Created attachment 328318 [details]
[Image] New UI - Resource folder title

Before and after
Comment 4 Matt Baker 2017-12-03 18:51:49 PST
Created attachment 328319 [details]
[Image] New UI - Canvas Overview initial message

Before and after
Comment 5 Matt Baker 2017-12-03 18:52:18 PST
Created attachment 328320 [details]
[Image] New UI - Empty database table

Before and after
Comment 6 Matt Baker 2017-12-03 18:55:42 PST
Created attachment 328322 [details]
[Image] Safari message text page

Font size and spacing, as well as text/background colors were chosen to match the page shown in Safari when no network connection is available.
Comment 7 Matt Baker 2017-12-03 20:17:39 PST
Created attachment 328324 [details]
Patch
Comment 8 Matt Baker 2017-12-03 20:22:04 PST
(In reply to Brian Burg from comment #0)
> Grab bag of complaints:
> 
> - The "No canvas contexts found" text is vertically misaligned with the
> similar text in the sidebars.
> - The "No canvas context found" text is very thin, and doesn't match the
> sidebar font weights. I prefer the heavier sidebar weights myself.

These points should be addressed by the patch.

> - Empty scroll bar track appears when using "Show scroll bars automatically"
> in macOS System Preferences. It shouldn't be there. I think we have this
> issue in some other places but this is especially egregious and ugly. For
> example, Network Tab doesn't have this problem even though it has a scroll
> container.

I haven't taken a look at this yet.
Comment 9 Matt Baker 2017-12-03 20:33:48 PST
Created attachment 328325 [details]
Patch
Comment 10 Matt Baker 2017-12-03 20:34:12 PST
The issue with the vertical scrollbar is resolved.
Comment 11 Joseph Pecoraro 2017-12-04 11:30:55 PST
Comment on attachment 328325 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=328325&action=review

r=me

> Source/WebInspectorUI/UserInterface/Views/RulesStyleDetailsPanel.js:-39
> -        this._emptyFilterResultsElement = document.createElement("div");
> -        this._emptyFilterResultsElement.classList.add("no-filter-results");

I see similar elements "no-filter-results" in SpreadsheetRulesStyleDetailsPanel. Am I out of date or do those still exist? I guess there was no CSS for that or its not hooked up (I see Devin has a patch to hook up filtering).
Comment 12 Matt Baker 2017-12-04 12:06:41 PST
Created attachment 328371 [details]
Patch for landing
Comment 13 Matt Baker 2017-12-04 12:08:59 PST
(In reply to Joseph Pecoraro from comment #11)
> Comment on attachment 328325 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=328325&action=review
> 
> r=me
> 
> > Source/WebInspectorUI/UserInterface/Views/RulesStyleDetailsPanel.js:-39
> > -        this._emptyFilterResultsElement = document.createElement("div");
> > -        this._emptyFilterResultsElement.classList.add("no-filter-results");
> 
> I see similar elements "no-filter-results" in
> SpreadsheetRulesStyleDetailsPanel. Am I out of date or do those still exist?
> I guess there was no CSS for that or its not hooked up (I see Devin has a
> patch to hook up filtering).

Changed to use WI.createMessageTextView.
Comment 14 WebKit Commit Bot 2017-12-04 12:40:30 PST
Comment on attachment 328371 [details]
Patch for landing

Clearing flags on attachment: 328371

Committed r225487: <https://trac.webkit.org/changeset/225487>
Comment 15 WebKit Commit Bot 2017-12-04 12:40:32 PST
All reviewed patches have been landed.  Closing bug.